Package net.rubygrapefruit.platform.internal.jni

# Class PosixTerminalFunctions

java.lang.Object
net.rubygrapefruit.platform.internal.jni.PosixTerminalFunctions

public class PosixTerminalFunctions extends Object

## Constructor Summary

Constructors
Constructor
Description
`PosixTerminalFunctions()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`getTerminalSize(int filedes, MutableTerminalSize size, FunctionResult result)`
`static boolean`
`isatty(int filedes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PosixTerminalFunctions

public PosixTerminalFunctions()

## Method Details

### isatty

public static boolean isatty(int filedes)

### getTerminalSize

public static void getTerminalSize(int filedes, MutableTerminalSize size, FunctionResult result)